pcl::GradientXY Struct Reference
Module common

A point structure representing Euclidean xyz coordinates, and the intensity value. More...

`#include <pcl/recognition/point_types.h>`

## Public Member Functions

EIGEN_MAKE_ALIGNED_OPERATOR_NEW bool | operator< (const GradientXY &rhs)

## Public Attributes

union {
struct {
float x
float y
float angle
float magnitude
} |
float data [4]
}; |

## Detailed Description

A point structure representing Euclidean xyz coordinates, and the intensity value.

Definition at line 51 of file point_types.h.

## Member Function Documentation

## operator<()

EIGEN_MAKE_ALIGNED_OPERATOR_NEW bool pcl::GradientXY::operator< | ( | const GradientXY & | rhs | ) |

inline

Definition at line 66 of file point_types.h.

References magnitude.

## Member Data Documentation

## @121

union { ... }

## angle

float pcl::GradientXY::angle

Definition at line 59 of file point_types.h.

Referenced by pcl::ColorGradientDOTModality< PointInT >::computeMaxColorGradients(), pcl::ColorGradientModality< PointRGBT >::computeMaxColorGradients(), and pcl::ColorGradientModality< PointRGBT >::computeMaxColorGradientsSobel().

## data

float pcl::GradientXY::data[4]

Definition at line 62 of file point_types.h.

## magnitude

float pcl::GradientXY::magnitude

Definition at line 60 of file point_types.h.

Referenced by pcl::ColorGradientDOTModality< PointInT >::computeMaxColorGradients(), pcl::ColorGradientModality< PointRGBT >::computeMaxColorGradients(), pcl::ColorGradientModality< PointRGBT >::computeMaxColorGradientsSobel(), pcl::ColorGradientModality< PointRGBT >::extractAllFeatures(), pcl::ColorGradientModality< PointRGBT >::extractFeatures(), operator<(), pcl::ColorGradientDOTModality< PointInT >::Candidate::operator<(), pcl::ColorGradientModality< PointInT >::Candidate::operator<(), and pcl::operator<<().

## x

float pcl::GradientXY::x

Definition at line 57 of file point_types.h.

Referenced by pcl::ColorGradientDOTModality< PointInT >::computeMaxColorGradients(), pcl::ColorGradientModality< PointRGBT >::computeMaxColorGradients(), pcl::ColorGradientModality< PointRGBT >::computeMaxColorGradientsSobel(), pcl::ColorGradientModality< PointRGBT >::extractAllFeatures(), pcl::ColorGradientModality< PointRGBT >::extractFeatures(), and pcl::operator<<().

## y

float pcl::GradientXY::y

Definition at line 58 of file point_types.h.

Referenced by pcl::ColorGradientDOTModality< PointInT >::computeMaxColorGradients(), pcl::ColorGradientModality< PointRGBT >::computeMaxColorGradients(), pcl::ColorGradientModality< PointRGBT >::computeMaxColorGradientsSobel(), and pcl::operator<<().

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/recognition/include/pcl/recognition/point_types.h